{#
/**
 * @file
 * Theme override to display a view of unformatted rows.
 *
 * Available variables:
 * - title: The title of this group of rows. May be empty.
 * - rows: A list of the view's row items.
 *   - attributes: The row's HTML attributes.
 *   - content: The row's content.
 * - view: The view object.
 * - default_row_class: A flag indicating whether default classes should be
 *   used on rows.
 *
 * @see template_preprocess_views_view_unformatted()
 */
#}
<div class="{{ additional_classes }}">
{% if title %}
  <h3 class="view-title">{{ title }}</h3>
{% endif %}
  <section class="search-results__content">
    {% for row in rows %}
      {%
        set row_classes = [
        default_row_class ? 'views-row',
      ]
      %}
      {% if loop.index < 7 %}
        <div{{ row.attributes.addClass(row_classes) }}>
          {{ row.content }}
        </div>
      {% endif %}

      {# Render all items but hide on initial page load #}
      {% if rows|length > 6 %}
        {% if loop.index == 6 %}
          <div class="view-footer pg-footer" style="display: block;">
            <button class="btn-lg-secondary">{{ "Show All Projects"|t }}</button>
          </div>
        {% endif %}

        {% if loop.index > 6 %}
          <div{{ row.attributes.addClass(row_classes).addClass('hidden-item') }}>
            {{ row.content }}
          </div>
        {% endif %}
      {% endif %}
    {% endfor %}
  </section>
</div>
